QoreNamespaceNamespaceIterator Class Reference

allows local namespaces to be iterated More...

`#include <QoreNamespace.h>`

## Public Member Functions

DLLEXPORT | QoreNamespaceNamespaceIterator (const QoreNamespace &ns)
| creates the iterator
virtual DLLEXPORT | ~QoreNamespaceNamespaceIterator ()
| destroys the object
DLLEXPORT const QoreNamespace & | get () const
| returns the namespace
DLLEXPORT bool | next ()
| moves to the next position; returns true if on a valid position

## Detailed Description

allows local namespaces to be iterated

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreNamespace.h